<?php


return  
    [
        'model' => [
            'model' => \Litecms\Contact\Models\Document::class,
            'table' => 'litecms_contact_documents',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['ref',  'documentable_id',  'documentable_type',  'type',  'title',  'number',  'description',  'expiry_date',  'files',  'other_type',  'user_type',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'contact/document',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'contact::document.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documentable_id", 
                "type" => "text", 
                "label" => 'contact::document.label.documentable_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documentable_type", 
                "type" => "text", 
                "label" => 'contact::document.label.documentable_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'contact::document.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "title", 
                "type" => "text", 
                "label" => 'contact::document.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "number", 
                "type" => "text", 
                "label" => 'contact::document.label.number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'contact::document.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "expiry_date", 
                "type" => "text", 
                "label" => 'contact::document.label.expiry_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "files", 
                "type" => "text", 
                "label" => 'contact::document.label.files', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "other_type", 
                "type" => "text", 
                "label" => 'contact::document.label.other_type', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::document.label.ref',
                "placeholder" => 'contact::document.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documentable_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'contact::document.label.documentable_id',
                "placeholder" => 'contact::document.placeholder.documentable_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documentable_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::document.label.documentable_type',
                "placeholder" => 'contact::document.placeholder.documentable_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::document.label.type',
                "placeholder" => 'contact::document.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::document.label.title',
                "placeholder" => 'contact::document.placeholder.title',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::document.label.number',
                "placeholder" => 'contact::document.placeholder.number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::document.label.description',
                "placeholder" => 'contact::document.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'expiry_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'contact::document.label.expiry_date',
                "placeholder" => 'contact::document.placeholder.expiry_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'files',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::document.label.files',
                "placeholder" => 'contact::document.placeholder.files',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'other_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'contact::document.label.other_type',
                "placeholder" => 'contact::document.placeholder.other_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'contact/document/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'contact/document/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'contact/document',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'contact/document',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'contact/document',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'contact/document',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'contact::document.label.created_at',
            'name' => 'contact::document.label.name',
            'status' => 'contact::document.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "contact::document.groups.main",
                'group' => "main.main",
                'title' => "contact::document.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "contact::document.groups.details",
                'group' => "main.details",
                'title' => "contact::document.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "contact::document.groups.images",
                'group' => "main.images",
                'title' => "contact::document.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "contact::document.groups.settings",
                'group' => "main.settings",
                'title' => "contact::document.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Contact',
            'module' => 'Document',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'contact::document.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['contact.document.copy', 'contact.document.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'contact::document.label.count',
                        "placeholder" => 'contact::document.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'contact::document.label.comment',
                        "placeholder" => 'contact::document.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'contact::document.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'contact::document.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
