<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsContactLandlordsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_contact_landlords
         */
        Schema::create('litecms_contact_landlords', function ($table) {
            $table->increments('id');
            $table->string('ref', 50)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('mobile', 100)->nullable();
            $table->date('dob')->nullable();
            $table->string('address', 255)->nullable();
            $table->tinyInteger('is_company')->nullable();
            $table->string('company_name', 100)->nullable();
            $table->string('tax_reg', 100)->nullable();
            $table->string('trade_license', 100)->nullable();
            $table->date('license_expiry')->nullable();
            $table->text('legal_info')->nullable();
            $table->text('tenancy_contract_info')->nullable();
            $table->text('bank_acc_info')->nullable();
            $table->text('documents')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_contact_landlords');
    }
}
