<?php

namespace Litecms\Contact\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class LandlordContractTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_contact_landlord_contracts')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.contact.landlord_contract.view',
                'name'      => 'View LandlordContract',
            ],
            [
                'slug'      => 'litecms.contact.landlord_contract.create',
                'name'      => 'Create LandlordContract',
            ],
            [
                'slug'      => 'litecms.contact.landlord_contract.edit',
                'name'      => 'Update LandlordContract',
            ],
            [
                'slug'      => 'litecms.contact.landlord_contract.delete',
                'name'      => 'Delete LandlordContract',
            ],
            
                        [
                'slug'      => 'litecms.contact.landlord_contract.verify',
                'name'      => 'Verify LandlordContract',
            ],
            [
                'slug'      => 'litecms.contact.landlord_contract.approve',
                'name'      => 'Approve LandlordContract',
            ],
            [
                'slug'      => 'litecms.contact.landlord_contract.publish',
                'name'      => 'Publish LandlordContract',
            ],
            [
                'slug'      => 'litecms.contact.landlord_contract.unpublish',
                'name'      => 'Unpublish LandlordContract',
            ],
            [
                'slug'      => 'litecms.contact.landlord_contract.cancel',
                'name'      => 'Cancel LandlordContract',
            ],
            [
                'slug'      => 'litecms.contact.landlord_contract.archive',
                'name'      => 'Archive LandlordContract',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/contact/landlord_contract',
                'name'        => 'LandlordContract',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/contact/landlord_contract',
                'name'        => 'LandlordContract',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'landlord_contract',
                'name'        => 'LandlordContract',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Contact',
                'module'    => 'LandlordContract',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.contact.landlord_contract.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
