<?php

namespace Litecms\Contact\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class LandlordTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_contact_landlords')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.contact.landlord.view',
                'name'      => 'View Landlord',
            ],
            [
                'slug'      => 'litecms.contact.landlord.create',
                'name'      => 'Create Landlord',
            ],
            [
                'slug'      => 'litecms.contact.landlord.edit',
                'name'      => 'Update Landlord',
            ],
            [
                'slug'      => 'litecms.contact.landlord.delete',
                'name'      => 'Delete Landlord',
            ],
            
                        [
                'slug'      => 'litecms.contact.landlord.verify',
                'name'      => 'Verify Landlord',
            ],
            [
                'slug'      => 'litecms.contact.landlord.approve',
                'name'      => 'Approve Landlord',
            ],
            [
                'slug'      => 'litecms.contact.landlord.publish',
                'name'      => 'Publish Landlord',
            ],
            [
                'slug'      => 'litecms.contact.landlord.unpublish',
                'name'      => 'Unpublish Landlord',
            ],
            [
                'slug'      => 'litecms.contact.landlord.cancel',
                'name'      => 'Cancel Landlord',
            ],
            [
                'slug'      => 'litecms.contact.landlord.archive',
                'name'      => 'Archive Landlord',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/contact/landlord',
                'name'        => 'Landlord',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/contact/landlord',
                'name'        => 'Landlord',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'landlord',
                'name'        => 'Landlord',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Contact',
                'module'    => 'Landlord',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.contact.landlord.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
