<?php

namespace Litecms\Contact\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class TenantTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_contact_tenants')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.contact.tenant.view',
                'name'      => 'View Tenant',
            ],
            [
                'slug'      => 'litecms.contact.tenant.create',
                'name'      => 'Create Tenant',
            ],
            [
                'slug'      => 'litecms.contact.tenant.edit',
                'name'      => 'Update Tenant',
            ],
            [
                'slug'      => 'litecms.contact.tenant.delete',
                'name'      => 'Delete Tenant',
            ],
            
                        [
                'slug'      => 'litecms.contact.tenant.verify',
                'name'      => 'Verify Tenant',
            ],
            [
                'slug'      => 'litecms.contact.tenant.approve',
                'name'      => 'Approve Tenant',
            ],
            [
                'slug'      => 'litecms.contact.tenant.publish',
                'name'      => 'Publish Tenant',
            ],
            [
                'slug'      => 'litecms.contact.tenant.unpublish',
                'name'      => 'Unpublish Tenant',
            ],
            [
                'slug'      => 'litecms.contact.tenant.cancel',
                'name'      => 'Cancel Tenant',
            ],
            [
                'slug'      => 'litecms.contact.tenant.archive',
                'name'      => 'Archive Tenant',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/contact/tenant',
                'name'        => 'Tenant',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/contact/tenant',
                'name'        => 'Tenant',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'tenant',
                'name'        => 'Tenant',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Contact',
                'module'    => 'Tenant',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.contact.tenant.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
