<?php

namespace Litecms\Contact\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class VendorTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_contact_vendors')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.contact.vendor.view',
                'name'      => 'View Vendor',
            ],
            [
                'slug'      => 'litecms.contact.vendor.create',
                'name'      => 'Create Vendor',
            ],
            [
                'slug'      => 'litecms.contact.vendor.edit',
                'name'      => 'Update Vendor',
            ],
            [
                'slug'      => 'litecms.contact.vendor.delete',
                'name'      => 'Delete Vendor',
            ],
            
                        [
                'slug'      => 'litecms.contact.vendor.verify',
                'name'      => 'Verify Vendor',
            ],
            [
                'slug'      => 'litecms.contact.vendor.approve',
                'name'      => 'Approve Vendor',
            ],
            [
                'slug'      => 'litecms.contact.vendor.publish',
                'name'      => 'Publish Vendor',
            ],
            [
                'slug'      => 'litecms.contact.vendor.unpublish',
                'name'      => 'Unpublish Vendor',
            ],
            [
                'slug'      => 'litecms.contact.vendor.cancel',
                'name'      => 'Cancel Vendor',
            ],
            [
                'slug'      => 'litecms.contact.vendor.archive',
                'name'      => 'Archive Vendor',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/contact/vendor',
                'name'        => 'Vendor',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/contact/vendor',
                'name'        => 'Vendor',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'vendor',
                'name'        => 'Vendor',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Contact',
                'module'    => 'Vendor',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.contact.vendor.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
