<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for tenant in contact package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  tenant module in contact package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Tenant',
    'names' => 'Tenants',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Tenants',
        'sub' => 'Tenants'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'gender' => 
            [
                                
                [
                    'key'    => 'Male',
                    'value'  => 'Male',
                    'text'   => 'Male',
                ],
                                
                [
                    'key'    => 'Female',
                    'value'  => 'Female',
                    'text'   => 'Female',
                ],
                                
            ],

        'marital_status' => 
            [
                                
                [
                    'key'    => 'Single',
                    'value'  => 'Single',
                    'text'   => 'Single',
                ],
                                
                [
                    'key'    => 'Married',
                    'value'  => 'Married',
                    'text'   => 'Married',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'dob'                        => 'Please select dob',
        'gender'                     => 'Please select gender',
        'marital_status'             => 'Please select marital status',
        'country'                    => 'Please enter country',
        'address'                    => 'Please enter address',
        'documents'                  => 'Please enter documents',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'dob'                        => 'Dob',
        'gender'                     => 'Gender',
        'marital_status'             => 'Marital status',
        'country'                    => 'Country',
        'address'                    => 'Address',
        'documents'                  => 'Documents',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
