<?php

// Routes for contact.

// Guard routes for vendor
Route::prefix('{guard}/contact')->group(function () {

    Route::patch('vendor/actions/{action}', 'VendorActionsController');
    Route::patch('vendor/action/{vendor}/{action}', 'VendorActionController');
    Route::patch('vendor/workflow/{vendor}/{transition}', 'VendorWorkflowController');
    Route::resource('vendor', 'VendorResourceController');
});

// Guard routes for tenant
Route::prefix('{guard}/contact')->group(function () {

    Route::post('tenant/exim/{exim}', 'TenantEximController');
    Route::patch('tenant/actions/{action}', 'TenantActionsController');
    Route::patch('tenant/action/{tenant}/{action}', 'TenantActionController');
    Route::patch('tenant/workflow/{tenant}/{transition}', 'TenantWorkflowController');
    Route::resource('tenant', 'TenantResourceController');
});

// Guard routes for landlord
Route::prefix('{guard}/contact')->group(function () {

    Route::patch('landlord/actions/{action}', 'LandlordActionsController');
    Route::patch('landlord/action/{landlord}/{action}', 'LandlordActionController');
    Route::patch('landlord/workflow/{landlord}/{transition}', 'LandlordWorkflowController');
    Route::resource('landlord', 'LandlordResourceController');
});

// Guard routes for document
Route::prefix('{guard}/contact')->group(function () {

    Route::patch('document/actions/{action}', 'DocumentActionsController');
    Route::patch('document/action/{document}/{action}', 'DocumentActionController');
    Route::resource('document', 'DocumentResourceController');
});

// Guard routes for landlord_contract
Route::prefix('{guard}/contact')->group(function () {

    Route::patch('landlord_contract/actions/{action}', 'LandlordContractActionsController');
    Route::patch('landlord_contract/action/{landlord_contract}/{action}', 'LandlordContractActionController');
    Route::patch('landlord_contract/workflow/{landlord_contract}/{transition}', 'LandlordContractWorkflowController');
    Route::resource('landlord_contract', 'LandlordContractResourceController');
});



// Public routes for contact
Route::get('contacts/', 'ContactPublicController@index');
Route::get('contact/{slug?}', 'ContactPublicController@show');
