<?php

// Web routes  for contact.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for vendor

Route::prefix('{guard}/vendor')->group(function () {

    Route::get('/workflow/{vendor}/{user}', 'VendorWorkflowController@get')
        ->name('litecms.contact.workflow');
    Route::post('/workflow/{vendor}/{user}', 'VendorWorkflowController@post');

    Route::get('/action/{vendor}/{user}', 'VendorActionController@get')
        ->name('litecms.contact.action');
    Route::post('/action/{vendor}/{user}', 'VendorActionController@post');

});


// Workflow routes for tenant

Route::prefix('{guard}/tenant')->group(function () {

    Route::get('/workflow/{tenant}/{user}', 'TenantWorkflowController@get')
        ->name('litecms.contact.workflow');
    Route::post('/workflow/{tenant}/{user}', 'TenantWorkflowController@post');

    Route::get('/action/{tenant}/{user}', 'TenantActionController@get')
        ->name('litecms.contact.action');
    Route::post('/action/{tenant}/{user}', 'TenantActionController@post');

});


// Workflow routes for landlord

Route::prefix('{guard}/landlord')->group(function () {

    Route::get('/workflow/{landlord}/{user}', 'LandlordWorkflowController@get')
        ->name('litecms.contact.workflow');
    Route::post('/workflow/{landlord}/{user}', 'LandlordWorkflowController@post');

    Route::get('/action/{landlord}/{user}', 'LandlordActionController@get')
        ->name('litecms.contact.action');
    Route::post('/action/{landlord}/{user}', 'LandlordActionController@post');

});


// Workflow routes for document

Route::prefix('{guard}/document')->group(function () {


    Route::get('/action/{document}/{user}', 'DocumentActionController@get')
        ->name('litecms.contact.action');
    Route::post('/action/{document}/{user}', 'DocumentActionController@post');

});


// Workflow routes for landlord_contract

Route::prefix('{guard}/landlord_contract')->group(function () {

    Route::get('/workflow/{landlord_contract}/{user}', 'LandlordContractWorkflowController@get')
        ->name('litecms.contact.workflow');
    Route::post('/workflow/{landlord_contract}/{user}', 'LandlordContractWorkflowController@post');

    Route::get('/action/{landlord_contract}/{user}', 'LandlordContractActionController@get')
        ->name('litecms.contact.action');
    Route::post('/action/{landlord_contract}/{user}', 'LandlordContractActionController@post');

});

