<?php

namespace Litecms\Contact\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Contact\Models\Document;


class DocumentAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.contact.document';
    protected $eventClass = \Litecms\Contact\Events\DocumentAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Document $document, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $document;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Document $document, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $document = $document->create($attributes);
        return $document;
    }

    public function update(Document $document, array $request)
    {
        $attributes = $request;
        $document->update($attributes);
        return $document;
    }

    public function destroy(Document $document, array $request)
    {
        $document->delete();
        return $document;
    }

    public function copy(Document $document, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $document = $document->replicate();
            $document->created_at = Carbon::now();
            $document->save();
            return $document;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $document->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $document;
    }


}
