<?php

namespace Litecms\Contact\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Contact\Models\LandlordContract;


class LandlordContractAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.contact.landlord_contract';
    protected $eventClass = \Litecms\Contact\Events\LandlordContractAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, LandlordContract $landlord_contract, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $landlord_contract;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(LandlordContract $landlord_contract, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $landlord_contract = $landlord_contract->create($attributes);
        return $landlord_contract;
    }

    public function update(LandlordContract $landlord_contract, array $request)
    {
        $attributes = $request;
        $landlord_contract->update($attributes);
        return $landlord_contract;
    }

    public function destroy(LandlordContract $landlord_contract, array $request)
    {
        $landlord_contract->delete();
        return $landlord_contract;
    }

    public function copy(LandlordContract $landlord_contract, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $landlord_contract = $landlord_contract->replicate();
            $landlord_contract->created_at = Carbon::now();
            $landlord_contract->save();
            return $landlord_contract;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $landlord_contract->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $landlord_contract;
    }


}
