<?php

namespace Litecms\Contact\Actions;

use Illuminate\Http\Request;
use Litecms\Contact\Models\Landlord;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class LandlordWorkflow
{
    use AsAction;
    
    private $model;
    private $namespace = 'litecms.contact.$landlord';
    private $transition;
    protected $eventClass = \Litecms\Contact\Events\LandlordWorkflow::class;
    private $function;
    private $request;

    public function handle(string $transition, Landlord $landlord, array $request = [])
    {
        $this->model = $landlord;
        $this->request = $request;
        $this->transition = $transition;
        $this->function = Str::camel($transition);
        $this->executeWorkflow();
        return $this->model;
    }

    public function submit()
    {
        $this->model->status = 'Pending';
        $this->model->save();
        return $this->model;
    }

    public function approve()
    {
        $this->model->status = 'Approved';
        $this->model->save();
        return $this->model;
    }

    public function reject()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }

    public function publish()
    {
        $this->model->status = 'Published';
        $this->model->save();
        return $this->model;
    }

    public function unpublish()
    {
        $this->model->status = 'Unpublished';
        $this->model->save();
        return $this->model;
    }

    public function archive()
    {
        $this->model->status = 'Archived';
        $this->model->save();
        return $this->model;
    }

    public function unarchive()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }
}
