<?php

namespace Litecms\Contact\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litecms\Contact\Http\Requests\LandlordContractActionsRequest;
use Litecms\Contact\Actions\LandlordContractActions;

/**
 * Admin web controller class.
 */
class LandlordContractActionsController extends BaseController
{

    /**
     * Action controller function for landlord_contract.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(LandlordContractActionsRequest $request, $action)
    {
        try {
            $landlord_contract = LandlordContractActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('contact::landlord_contract.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('contact/landlord_contract/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('contact/landlord_contract/' . $action))
                ->redirect();
        }
    }
}
