<?php

namespace Litecms\Contact\Policies;

use Litecms\Contact\Models\Document;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait DocumentAction
{

    /**
     * Determine if the given user can copy the given document.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Document $document)
    {

        if ($authUser->canDo('contact.document.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given document.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Document $document) {

        if ($authUser->canDo('contact.document.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given document.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Document $document)
    {

        if ($authUser->canDo('contact.document.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
