<?php

namespace Litecms\Contact\Policies;

use Litecms\Contact\Models\Landlord;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait LandlordAction
{

    /**
     * Determine if the given user can copy the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Landlord $landlord)
    {

        if ($authUser->canDo('contact.landlord.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Landlord $landlord) {

        if ($authUser->canDo('contact.landlord.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Landlord $landlord)
    {

        if ($authUser->canDo('contact.landlord.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
