<?php

namespace Litecms\Contact\Policies;

use Litecms\Contact\Models\LandlordContract;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait LandlordContractAction
{

    /**
     * Determine if the given user can copy the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, LandlordContract $landlord_contract)
    {

        if ($authUser->canDo('contact.landlord_contract.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, LandlordContract $landlord_contract) {

        if ($authUser->canDo('contact.landlord_contract.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, LandlordContract $landlord_contract)
    {

        if ($authUser->canDo('contact.landlord_contract.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
