<?php

namespace Litecms\Contact\Policies;

use Litecms\Contact\Models\LandlordContract;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait LandlordContractWorkflow
{

    /**
     * Determine if the given user can approve the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, LandlordContract $landlord_contract)
    {
        if ($user->canDo('contact.landlord_contract.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, LandlordContract $landlord_contract)
    {
        if ($user->canDo('contact.landlord_contract.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, LandlordContract $landlord_contract)
    {
        if ($user->canDo('contact.landlord_contract.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, LandlordContract $landlord_contract)
    {
        if ($user->canDo('contact.landlord_contract.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, LandlordContract $landlord_contract)
    {
        if ($user->canDo('contact.landlord_contract.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, LandlordContract $landlord_contract)
    {
        if ($user->canDo('contact.landlord_contract.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord_contract.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, LandlordContract $landlord_contract)
    {
        if ($user->canDo('contact.landlord_contract.reject')) {
            return true;
        }

        return false;
    }

}
