<?php

namespace Litecms\Contact\Policies;

use Litecms\Contact\Models\Landlord;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait LandlordWorkflow
{

    /**
     * Determine if the given user can approve the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Landlord $landlord)
    {
        if ($user->canDo('contact.landlord.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Landlord $landlord)
    {
        if ($user->canDo('contact.landlord.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Landlord $landlord)
    {
        if ($user->canDo('contact.landlord.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Landlord $landlord)
    {
        if ($user->canDo('contact.landlord.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Landlord $landlord)
    {
        if ($user->canDo('contact.landlord.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Landlord $landlord)
    {
        if ($user->canDo('contact.landlord.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given landlord.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Landlord $landlord)
    {
        if ($user->canDo('contact.landlord.reject')) {
            return true;
        }

        return false;
    }

}
