<?php

namespace Litecms\Contact\Policies;

use Litecms\Contact\Models\Tenant;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait TenantAction
{

    /**
     * Determine if the given user can copy the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Tenant $tenant)
    {

        if ($authUser->canDo('contact.tenant.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Tenant $tenant) {

        if ($authUser->canDo('contact.tenant.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Tenant $tenant)
    {

        if ($authUser->canDo('contact.tenant.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
