<?php

namespace Litecms\Contact\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait TenantExim
{

    /**
     * Determine if the given user can approve the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('contact.tenant.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('contact.tenant.export')) {
            return true;
        }

        return false;
    }
}
