<?php

namespace Litecms\Contact\Policies;

use Litecms\Contact\Models\Tenant;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait TenantWorkflow
{

    /**
     * Determine if the given user can approve the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Tenant $tenant)
    {
        if ($user->canDo('contact.tenant.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Tenant $tenant)
    {
        if ($user->canDo('contact.tenant.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Tenant $tenant)
    {
        if ($user->canDo('contact.tenant.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Tenant $tenant)
    {
        if ($user->canDo('contact.tenant.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Tenant $tenant)
    {
        if ($user->canDo('contact.tenant.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Tenant $tenant)
    {
        if ($user->canDo('contact.tenant.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given tenant.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Tenant $tenant)
    {
        if ($user->canDo('contact.tenant.reject')) {
            return true;
        }

        return false;
    }

}
