<?php

namespace Litecms\Contact\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Vendor policy
        \Litecms\Contact\Models\Vendor::class 
        => \Litecms\Contact\Policies\VendorPolicy::class,// Bind Tenant policy
        \Litecms\Contact\Models\Tenant::class 
        => \Litecms\Contact\Policies\TenantPolicy::class,// Bind Landlord policy
        \Litecms\Contact\Models\Landlord::class 
        => \Litecms\Contact\Policies\LandlordPolicy::class,// Bind Document policy
        \Litecms\Contact\Models\Document::class 
        => \Litecms\Contact\Policies\DocumentPolicy::class,// Bind LandlordContract policy
        \Litecms\Contact\Models\LandlordContract::class 
        => \Litecms\Contact\Policies\LandlordContractPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
