<?php

namespace Litecms\Contact\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Litecms\Contact\Events\ContactAction;
use Litecms\Contact\Events\ContactWorkflow;
use Litecms\Contact\Listeners\ContactAction as ContactActionListener;
use Litecms\Contact\Listeners\ContactWorkflow as ContactWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        ContactAction::class => [
            ContactActionListener::class,
        ],
        ContactWorkflow::class => [
            ContactWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
